Loading...
Searching...
No Matches
crc16.c File Reference
Osmocom CRC routines

This was copied from the linux kernel and adjusted for our types. More...

`#include <osmocom/core/crc16.h>`

## Functions

uint16_t | osmo_crc16 (uint16_t crc, uint8_t const *buffer, size_t len)
| Compute 16bit CCITT polynome 0x8408 (x^0 + x^5 + x^12) over given buffer.
uint16_t | osmo_crc16_ccitt (uint16_t crc, uint8_t const *buffer, size_t len)
| Compute 16bit CCITT polynome 0x8408 (x^0 + x^5 + x^12) over given buffer.

## Variables

uint16_t const | osmo_crc16_table [256]
| CRC table for the CRC-16.
uint16_t const | osmo_crc16_ccitt_table [256]
| CRC table for the CCITT CRC-6.

## Detailed Description

This was copied from the linux kernel and adjusted for our types.